package com.jdwsoftware.wfh.control;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * <p><b>Title<b>: Woody's Fishing Hole</p>
 * <p><b>Description<b>: Educational Fishing Game</p>
 * <p><b>Copyright<b>: Copyright (C) 2003 JDW Software, LLC</p>
 * <p><b>Company<b>: JDW Software, LLC</p>
 * <p>Simple about box generated by jbuilder (thanks!)
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.7 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class MainFrame_AboutBox extends JDialog implements ActionListener {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: MainFrame_AboutBox.java,v 1.7 2003/12/10 05:29:47 jdw Exp $";

  JPanel panel1 = new JPanel();
  JPanel panel2 = new JPanel();
  JPanel insetsPanel1 = new JPanel();
  JPanel insetsPanel2 = new JPanel();
  JPanel insetsPanel3 = new JPanel();
  JButton button1 = new JButton();
  JLabel imageLabel = new JLabel();

  ImageIcon image1 = new ImageIcon();
  BorderLayout borderLayout1 = new BorderLayout();
  BorderLayout borderLayout2 = new BorderLayout();
  FlowLayout flowLayout1 = new FlowLayout();
  String product = "Woody's Fishing Hole";
  String version = "$Revision: 1.7 $";
  String copyright = "Copyright (C) 2003 JDW Software, LLC";
  String comments = "Educational Fishing Game";
  JPanel jPanel1 = new JPanel();
  BorderLayout borderLayout3 = new BorderLayout();
  JTextArea creditsArea = new JTextArea();
  JPanel jPanel2 = new JPanel();
  GridLayout gridLayout1 = new GridLayout();
  JLabel label2 = new JLabel();
  JLabel label4 = new JLabel();
  JLabel label5 = new JLabel();
  JLabel label1 = new JLabel();
  JLabel label3 = new JLabel();

  public MainFrame_AboutBox(Frame parent) {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Component initialization
  private void jbInit() throws Exception  {
    image1 = new ImageIcon(com.jdwsoftware.wfh.control.MainFrame.class.getResource("about.png"));
    imageLabel.setIcon(image1);
    this.getContentPane().setBackground(Color.white);
    this.setTitle("About");
    panel1.setLayout(borderLayout1);
    panel2.setLayout(borderLayout2);
    insetsPanel1.setLayout(flowLayout1);
    insetsPanel2.setLayout(flowLayout1);
    insetsPanel2.setBackground(Color.white);
    insetsPanel2.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    insetsPanel3.setLayout(borderLayout3);
    insetsPanel3.setBackground(Color.white);
    insetsPanel3.setBorder(BorderFactory.createEmptyBorder(10, 60, 10, 10));
    button1.setText("Ok");
    button1.addActionListener(this);
    panel1.setBackground(Color.white);
    insetsPanel1.setBackground(Color.white);
    jPanel1.setBackground(Color.white);
    jPanel1.setLayout(gridLayout1);
    creditsArea.setBorder(BorderFactory.createLineBorder(Color.black));
    creditsArea.setDoubleBuffered(true);
    creditsArea.setEditable(false);
    creditsArea.setText("Special thanks to Cesar\nfor the fish graphics\n"
                        +"and everyone who donated music.\n\n"
                        +"\"Peanutjake's Reel\"\n"
                        +"Folklife\n"
                        +"Box 54-H\n"
                        +"Scarsdale, NY 10583\n"
                        +"folklife@optonline.net");
    creditsArea.setRows(10);
    jPanel2.setBackground(Color.white);
    gridLayout1.setColumns(1);
    gridLayout1.setRows(5);
    label2.setText(version);
    label4.setText("Educational Fishing Game");
    label5.setText("");
    label1.setText(product);
    label3.setText(copyright);
    insetsPanel3.add(jPanel1,  BorderLayout.CENTER);
    jPanel1.add(label1, null);
    jPanel1.add(label2, null);
    jPanel1.add(label3, null);
    jPanel1.add(label4, null);
    jPanel1.add(label5, null);
    panel2.add(insetsPanel2, BorderLayout.WEST);
    insetsPanel2.add(imageLabel, null);
    this.getContentPane().add(panel1, null);
    panel2.add(insetsPanel3, BorderLayout.CENTER);
    insetsPanel1.add(button1, null);
    panel1.add(insetsPanel1, BorderLayout.SOUTH);
    panel1.add(panel2, BorderLayout.NORTH);
    setResizable(true);
    insetsPanel3.add(jPanel2,  BorderLayout.SOUTH);
    jPanel2.add(creditsArea, null);
  }
  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }
  //Close the dialog
  void cancel() {
    dispose();
  }
  //Close the dialog on a button event
  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == button1) {
      cancel();
    }
  }
}
