package com.jdwsoftware.wfh.model;

import javax.swing.JComponent;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Color;

import java.util.Hashtable;
import java.util.Random;
import java.util.Enumeration;

/**
 * <p><b>Title</b>: Woody's Fishing Hole</p>
 * <p><b>Description</b>: Educational Fishing Game</p>
 * <p><b>Copyright</b>: Copyright (C) 2003 JDW Software, LLC</p>
 * <p><b>Company</b>: JDW Software, LLC</p>
 *
 * <p>The simplest game, just match the colors</p>
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.6 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class ColorGame extends GameType {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: ColorGame.java,v 1.6 2003/12/02 04:22:32 jdw Exp $";

  private static final String[] COLORS = new String[] {"Red","Blue","Yellow"};

  private Hashtable _colors;
  private Hashtable _images;

  private String _question;
  private static Random r = new Random();

  public ColorGame(JComponent caller) {
    super(caller);
    _colors = new Hashtable();
    _colors.put("Red", Color.red);
    _colors.put("Blue", Color.blue);
    _colors.put("Yellow", Color.yellow);

    _images = new Hashtable();
    Enumeration e = _colors.keys();
    while (e.hasMoreElements()) {
      String key = (String)e.nextElement();
      Image image = _caller.createImage(getWidth(), getHeight());
      Graphics g = image.getGraphics();
      g.setColor(Color.black);
      g.fillRect(0,0,getWidth(),getHeight());
      g.setColor((Color)_colors.get(key));
      g.fillRect(BORDER, BORDER, getWidth()-2*BORDER, getHeight()-2*BORDER);
      _images.put(key, image);
    }
    _question = COLORS[r.nextInt(COLORS.length)];
  }

  public void newQuestion() {
    _question = COLORS[r.nextInt(COLORS.length)];
  }

  public Image getQuestion() {
    return (Image)_images.get(_question);
  }

  public String getAnswer() {
    return _question;
  }

  public String[] getValidAnswers() {
    return COLORS;
  }

  public Image getAnswer(String s) {
    return (Image)_images.get(s);
  }

}
