package com.jdwsoftware.wfh.model;

/**
 * <p><b>Title</b>: Woody's Fishing Hole</p>
 * <p><b>Description</b>: Educational Fishing Game</p>
 * <p><b>Copyright</b>: Copyright (C) 2003 JDW Software, LLC</p>
 * <p><b>Company</b>: JDW Software, LLC</p>
 *
 * <p>The current direction the fish is heading.</p>
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.6 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class Direction {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: Direction.java,v 1.6 2003/12/02 04:22:32 jdw Exp $";

  private float _dx;
  private float _dy;

  public Direction() {
    super();
  }

  public Direction(float dx, float dy) {
    this();
    _dx = dx;
    _dy = dy;
  }

  public float getDX() {
    return _dx;
  }

  public void setDX(float dx) {
    _dx = dx;
  }

  public float getDY() {
    return _dy;
  }

  public void setDY(float dy) {
    _dy = dy;
  }

  public String toString() {
    return "Direction["+_dx+","+_dy+"]";
  }
}
