package com.jdwsoftware.wfh.model;

/**
 * <p><b>Title</b>: Woody's Fishing Hole</p>
 * <p><b>Description</b>: Educational Fishing Game</p>
 * <p><b>Copyright</b>: Copyright (C) 2003 JDW Software, LLC</p>
 * <p><b>Company</b>: JDW Software, LLC</p>
 *
 * <p>Basic fish model.  Stores information about the image id to
 *    use for this fish, the current location and direction of the
 *    fish and the answer this fish is storing</o>
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.5 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class Fish {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: Fish.java,v 1.5 2003/11/22 03:47:15 jdw Exp $";

  private String    _value;
  private Location  _location;
  private Direction _direction;
  private int       _imageIndex;

  /**
   * Default constructor
   */
  public Fish() {
    super();
  }

  /**
   * Get the direction attribute
   *
   * @return direction
   */
  public Direction getDirection() {
    return _direction;
  }

  /**
   * Set the direction attribute
   *
   * @param direction new direction attribute
   */
  public void setDirection(Direction direction) {
    _direction = direction;
  }

  /**
   * Get the imageIndex attribute
   *
   * @return imageIndex
   */
  public int getImageIndex() {
    return _imageIndex;
  }

  /**
   * Set the imageIndex attribute
   *
   * @param imageIndex new imageIndex attribute
   */
  public void setImageIndex(int imageIndex) {
    _imageIndex = imageIndex;
  }

  /**
   * Get the location attribute
   *
   * @return location
   */
  public Location getLocation() {
    return _location;
  }

  /**
   * Set the location attribute
   *
   * @param location new location attribute
   */
  public void setLocation(Location location) {
    _location = location;
  }

  /**
   * Get the value attribute
   *
   * @return value
   */
  public String getValue() {
    return _value;
  }

  /**
   * Set the value attribute
   *
   * @param value new value attribute
   */
  public void setValue(String value) {
    _value = value;
  }
}
