package com.jdwsoftware.wfh.model;

/**
 * <p><b>Title</b>: Woody's Fishing Hole</p>
 * <p><b>Description</b>: Educational Fishing Game</p>
 * <p><b>Copyright</b>: Copyright (C) 2003 JDW Software, LLC</p>
 * <p><b>Company</b>: JDW Software, LLC</p>
 *
 * <p>Simple class stores the x and y locations of another object</p>
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.6 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class Location {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: Location.java,v 1.6 2003/11/24 16:55:15 jdw Exp $";

  private float _x;
  private float _y;

  /**
   * Default constructor
   */
  public Location() {
    super();
  }

  /**
   * Constructor with parameters
   *
   * @param x X location
   * @param y Y location
   */
  public Location(float x, float y) {
    this();
    _x = x;
    _y = y;
  }

  /**
   * Get the value of the X location
   *
   * @return X location
   */
  public float getX() {
    return _x;
  }

  /**
   * Set the value of the X location
   *
   * @param x new X location
   */
  public void setX(float x) {
    _x = x;
  }

  /**
   * Get the value of the Y location
   *
   * @return Y location
   */
  public float getY() {
    return _y;
  }

  /**
   * Set the value of the Y location
   *
   * @param y new Y location
   */
  public void setY(float y) {
    _y = y;
  }

  /**
   * Display the classname and values
   *
   * @return String representation of class
   */
  public String toString() {
    return "Location["+_x+","+_y+"]";
  }
}
