package com.jdwsoftware.wfh.model;

import javax.swing.JComponent;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Color;
import java.awt.Font;

import java.util.Hashtable;
import java.util.Random;

/**
 * <p>Title: Woody's Fishing Hole</p>
 * <p>Description: Educational Fishing Game</p>
 * <p>Copyright: Copyright (C) 2003 JDW Software, LLC</p>
 * <p>Company: JDW Software, LLC</p>
 *
 * @author <a href="mailto:jdw@jdwsoftware.com">Jim Woodgate</a>
 * @version $Revision: 1.6 $
 */

/*
 * This file is part of Woodys Fishing Hole.
 *
 * Woodys Fishing Hole is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * Woodys Fishing Hole is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Woodys Fishing Hole; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

public class NumberGame extends GameType {
  private static final String COPYRIGHT = com.jdwsoftware.util.Copyright.COPYRIGHT;
  private static final String VERSION = "$Id: NumberGame.java,v 1.6 2003/11/24 16:39:55 jdw Exp $";


  private static final String[] NUMBERS = new String[] {"0","1","2","3","4","5","6","7","8","9"};

  private Hashtable _images;

  private String _question;
  private static Random r = new Random();

  public NumberGame(JComponent caller) {
    super(caller);

    _images = new Hashtable();

    Font bigFont = new java.awt.Font("Monospaced", 1, 36);
    for (int i=0; i<NUMBERS.length; i++) {
      String key = NUMBERS[i];
      Image image = _caller.createImage(getWidth(), getHeight());
      Graphics g = image.getGraphics();
      g.setColor(Color.black);
      g.fillRect(0,0,getWidth(),getHeight());
      g.setColor(Color.white);
      g.fillRect(BORDER, BORDER, getWidth()-2*BORDER, getHeight()-2*BORDER);
      g.setColor(Color.black);
      g.setFont(bigFont);
      g.drawString(key, BORDER*2, BORDER+bigFont.getSize());
      _images.put(key, image);
    }
    _question = NUMBERS[r.nextInt(NUMBERS.length)];
  }

  public void newQuestion() {
    _question = NUMBERS[r.nextInt(NUMBERS.length)];
  }

  public Image getQuestion() {
    return (Image)_images.get(_question);
  }

  public String getAnswer() {
    return _question;
  }

  public String[] getValidAnswers() {
    return NUMBERS;
  }

  public Image getAnswer(String s) {
    return (Image)_images.get(s);
  }

}
